İçeriğe geç

LTX 2.5 Pro Text to Video

Entegre et

Model kimliği lightricks/ltx-2.5/text-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,72 720 API kredisi · ≈ ₽77,46 Bu sayfada çalıştır

API anahtarı al
Lightricks Metinden Videoya Yerel ses6–10 s1080p değerine kadar #audio#camera-control#50fps

Lightricks'in LTX 2.5 Pro modeli; sesli, 6 ila 10 saniyelik klipler, adlandırılmış kamera hareketleri, 1080p ve 50 fps'e kadar

Örnekler

Çıktı · ~51 s

İstemSlow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.

6 s720p16:9generate_audio: false$0,72 · 720 API kredisi

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 210 / 5000

Video üretimini yönlendiren istem.

duration 6 s

Video uzunluğu seçimi: saniye cinsinden süre belirtin veya modelin karar vermesi için 'auto' seçin. Maksimum süre 10 saniyedir.

resolution

Çıktı videosu için kullanılan çözünürlük.

aspect_ratio

Çıktı videosunun en-boy oranı.

camera_motion

Çıktı videosu için isteğe bağlı kamera hareketi.

Gelişmiş fps
fps varsayılan 25

Saniye başına kare cinsinden ölçülen çıktı video kare hızı.

POST /run/lightricks/ltx-2.5/text-to-video/pro?wait=20 fiyat → $0,72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

LTX 2.5 Pro Text to Video hakkında

LTX 2.5 Pro, üretilen sesle net 720p veya 1080p video oluşturur ve hareketi açıklamak yerine adlandırılmış bir kamera hareketi (dolly in veya out, sideways dolly, jib up veya down, static, focus shift) seçmenize olanak tanır. 6, 8 veya 10 saniye ya da otomatik uzunluk, 24, 25 veya 50 fps, yatay veya dikey.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 5.000 karakter
Video üretimini yönlendiren istem.
durationisteğe bağlı
Türenum
Varsayılanauto
6810auto
Video uzunluğu seçimi: saniye cinsinden süre belirtin veya modelin karar vermesi için 'auto' seçin. Maksimum süre 10 saniyedir.
resolutionisteğe bağlı
Türenum
Varsayılan1080p
720p1080p
Çıktı videosu için kullanılan çözünürlük.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:16
Çıktı videosunun en-boy oranı.
fpsisteğe bağlı
Türenum
Varsayılan25
242550
Saniye başına kare cinsinden ölçülen çıktı video kare hızı.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Çıktı videosu için ses üretimi anahtarı.
camera_motionisteğe bağlı
Türenum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
Çıktı videosu için isteğe bağlı kamera hareketi.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/text-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Through a sheer red veil, a bride smiles as marigold petals fall around her, warm evening light",
    "duration": 6,
    "resolution": "1080p",
    "camera_motion": "dolly_in"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Ortaya çıkan video dosyası.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/lightricks/ltx-2.5/text-to-video/pro.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt